[Tarantool-patches] [PATCH] Fix queue test preparing
Leonid Vasiliev
lvasiliev at tarantool.org
Fri Dec 6 20:36:06 MSK 2019
Add redirect procesing and check of a commands exit code.
---
test.sh | 8 +++++---
1 file changed, 5 insertions(+), 3 deletions(-)
diff --git a/test.sh b/test.sh
index 3fca125..32f7567 100755
--- a/test.sh
+++ b/test.sh
@@ -1,15 +1,17 @@
#!/bin/bash
+set -euo pipefail
+
VERSION=${VERSION:-2_2}
-curl https://packagecloud.io/tarantool/${VERSION}/gpgkey | sudo apt-key add -
+curl -sfL https://packagecloud.io/tarantool/${VERSION}/gpgkey | sudo apt-key add -
release=`lsb_release -c -s`
sudo apt-get install -y apt-transport-https
sudo tee /etc/apt/sources.list.d/tarantool_${VERSION}.list <<- EOF
-deb https://packagecloud.io/tarantool/${VERSION}/ubuntu/ $release main
-deb-src https://packagecloud.io/tarantool/${VERSION}/ubuntu/ $release main
+deb https://packagecloud.io/tarantool/${VERSION}/ubuntu/ ${release} main
+deb-src https://packagecloud.io/tarantool/${VERSION}/ubuntu/ ${release} main
EOF
sudo apt-get update > /dev/null
--
2.17.1
More information about the Tarantool-patches
mailing list